# Class LectureEval

java.lang.Object
ecoparasite.LectureEval

public class LectureEval extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LectureEval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `applyValueForPopEval(PopulationArgs popArgs, String column, String value)`
  `static void`
  `main(String[] args)`
  `static HashSet<Population>`
  `parseEval(RawData popRaw)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LectureEval

    public LectureEval()

- ## Method Details

  - ### parseEval

    public static HashSet<Population> parseEval(RawData popRaw)

  - ### applyValueForPopEval

    public static void applyValueForPopEval(PopulationArgs popArgs, String column, String value)

  - ### main

    public static void main(String[] args) throws RawDataOverflow
    Throws:
      `RawDataOverflow`